// Search Bar 
document.addEventListener('DOMContentLoaded', function () {
    const searchInput = document.getElementById('searchInput');
    const searchButton = document.getElementById('searchButton');
    const products = document.querySelectorAll('.product');

    searchButton.addEventListener('click', function () {
        const searchTerm = searchInput.value.toLowerCase();

        products.forEach(function (product) {
            const productName = product.querySelector('.product-name').innerText.toLowerCase();
            const productCategory = product.querySelector('.product-category').innerText.toLowerCase();

            if (productName.includes(searchTerm) || productCategory.includes(searchTerm)) {
                product.style.display = 'block';
            } else {
                product.style.display = 'none';
            }
        });
    });
});


//code to rotate the banner images
document.addEventListener("DOMContentLoaded", function() {
    const bannerImages = document.querySelectorAll("#banner img");
    let currentImageIndex = 0;

    function showNextImage() {
        // Hide the current image
        bannerImages[currentImageIndex].classList.remove("active");

        // Calculate the index of the next image
        currentImageIndex = (currentImageIndex + 1) % bannerImages.length;

        // Show the next image
        bannerImages[currentImageIndex].classList.add("active");
    }

    // Show the first image initially
    bannerImages[currentImageIndex].classList.add("active");

    // Switch images every 5 seconds
    setInterval(showNextImage, 5000);
});